Subject: bug#6806: Set comment-multi-line in js-mode

From: Nathan Weizenbaum <[email-masked]>
Date: Mon, 9 Aug 2010 10:56:56 -0700

My fix doesn't actually fix the "/* */" issue, unfortunately. However, it
doesn't break "//" either; note that comment-multi-line is t for e.g.
c-mode, and comment-indent-new-line works for "//" there.

On Mon, Aug 9, 2010 at 4:33 AM, Stefan Monnier <[email-masked]>wrote:

> > js-mode doesn't set the comment-multi-line variable. This results in
> > comment-indent-new-line behaving improperly when used in a multi-line
> > comment, which also affects auto-fill-mode, according to the
> documentation
> > for comment-multi-line.
>
> If I understand and remember correctly, this is not the right fix for
> your problem: setting comment-multi-line to t will fix your problem with
> "/*..*/" but will introduce another for "//....\n" and vice-versa.
>
>
>        Stefan
>